package com.ruoyi.base.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.base.mapper.BaseAlarmInfoMapper;
import com.ruoyi.base.domain.BaseAlarmInfo;
import com.ruoyi.base.service.IBaseAlarmInfoService;

/**
 * 报警信息Service业务层处理
 * 
 * @author zangch
 * @date 2024-12-02
 */
@Service
public class BaseAlarmInfoServiceImpl implements IBaseAlarmInfoService 
{
    @Autowired
    private BaseAlarmInfoMapper baseAlarmInfoMapper;

    /**
     * 查询报警信息
     * 
     * @param objId 报警信息主键
     * @return 报警信息
     */
    @Override
    public BaseAlarmInfo selectBaseAlarmInfoByObjId(Long objId)
    {
        return baseAlarmInfoMapper.selectBaseAlarmInfoByObjId(objId);
    }

    /**
     * 查询报警信息列表
     * 
     * @param baseAlarmInfo 报警信息
     * @return 报警信息
     */
    @Override
    public List<BaseAlarmInfo> selectBaseAlarmInfoList(BaseAlarmInfo baseAlarmInfo)
    {
        return baseAlarmInfoMapper.selectBaseAlarmInfoList(baseAlarmInfo);
    }

    /**
     * 新增报警信息
     * 
     * @param baseAlarmInfo 报警信息
     * @return 结果
     */
    @Override
    public int insertBaseAlarmInfo(BaseAlarmInfo baseAlarmInfo)
    {
        return baseAlarmInfoMapper.insertBaseAlarmInfo(baseAlarmInfo);
    }

    /**
     * 修改报警信息
     * 
     * @param baseAlarmInfo 报警信息
     * @return 结果
     */
    @Override
    public int updateBaseAlarmInfo(BaseAlarmInfo baseAlarmInfo)
    {
        return baseAlarmInfoMapper.updateBaseAlarmInfo(baseAlarmInfo);
    }

    /**
     * 批量删除报警信息
     * 
     * @param objIds 需要删除的报警信息主键
     * @return 结果
     */
    @Override
    public int deleteBaseAlarmInfoByObjIds(Long[] objIds)
    {
        return baseAlarmInfoMapper.deleteBaseAlarmInfoByObjIds(objIds);
    }

    /**
     * 删除报警信息信息
     * 
     * @param objId 报警信息主键
     * @return 结果
     */
    @Override
    public int deleteBaseAlarmInfoByObjId(Long objId)
    {
        return baseAlarmInfoMapper.deleteBaseAlarmInfoByObjId(objId);
    }
}
